package com.madeu.service.web.webappboard;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface WebAppBoardService {
    public HashMap<String, Object> selectListAppBoardIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertAppBoardIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateAppBoardIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListAppBoard(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectAppBoard(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertAppBoard(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> updateAppBoard(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> deleteAppBoard(HashMap<String, Object> paramMap) throws Exception;
}
